package hello.world;

import io.micronaut.context.event.StartupEvent;
import io.micronaut.runtime.Micronaut;
import io.micronaut.runtime.event.annotation.EventListener;

public class Application {
    public static void main(String[] args) {
        Micronaut.run(Application.class);
    }

    private BookRepository repository;

    public Application(BookRepository userRepository) {
        this.repository = userRepository;
    }

    @EventListener
    void init(StartupEvent event) {
        final Book book = new Book("9780545010221", "Harry Potter");
        repository.save(book);
   }

}